org.apache.ignite.internal.processors.cache.query.continuous

## Class SecurityAwareFilter<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.security.AbstractSecurityAwareExternalizable<javax.cache.event.CacheEntryEventFilter<K,V>>
  - - org.apache.ignite.internal.processors.cache.query.continuous.SecurityAwareFilter<K,V>

All Implemented Interfaces:
  Externalizable, Serializable, javax.cache.event.CacheEntryEventFilter<K,V>, CacheEntryEventSerializableFilter<K,V>, GridInternalWrapper<javax.cache.event.CacheEntryEventFilter<K,V>>

    public class SecurityAwareFilter<K,V>
    extends AbstractSecurityAwareExternalizable<javax.cache.event.CacheEntryEventFilter<K,V>>
    implements CacheEntryEventSerializableFilter<K,V>

Security aware remote filter.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.security.AbstractSecurityAwareExternalizable

`ignite, original, subjectId`

### Constructor Summary

Constructors
Constructor and Description
`SecurityAwareFilter()` Default constructor.
`SecurityAwareFilter(UUID subjectId, javax.cache.event.CacheEntryEventFilter<K,V> original)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `evaluate(javax.cache.event.CacheEntryEvent<? extends K,? extends V> evt)`

### Methods inherited from class org.apache.ignite.internal.processors.security.AbstractSecurityAwareExternalizable

`logAccessDeniedMessage, readExternal, userObject, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecurityAwareFilter

    public SecurityAwareFilter()

Default constructor.

#### SecurityAwareFilter

    public SecurityAwareFilter(UUID subjectId,
                               javax.cache.event.CacheEntryEventFilter<K,V> original)

Parameters:
  `subjectId` - Security subject id.
  `original` - Original filter.

### Method Detail

#### evaluate

    public boolean evaluate(javax.cache.event.CacheEntryEvent<? extends K,? extends V> evt)
                     throws javax.cache.event.CacheEntryListenerException

Specified by:
  `evaluate` in interface `javax.cache.event.CacheEntryEventFilter<K,V>`
Throws:
  `javax.cache.event.CacheEntryListenerException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021